Bug 256698 - x11-themes/classiclooks: update to 2.0.3
Summary: x11-themes/classiclooks: update to 2.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: https://sourceforge.net/projects/clas...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-18 18:53 UTC by J.R. Oldroyd
Modified: 2021-07-01 06:40 UTC (History)
2 users (show)

See Also:


Attachments
patch to update port from 1.4.4 to 2.0.1 (255.89 KB, patch)
2021-06-18 18:53 UTC, J.R. Oldroyd
no flags Details | Diff
patch to update port from 1.4.4 to 2.0.2 (63.65 KB, patch)
2021-06-30 15:26 UTC, J.R. Oldroyd
no flags Details | Diff
patch to update port from 1.4.4 to 2.0.3 (63.65 KB, patch)
2021-06-30 18:14 UTC, J.R. Oldroyd
fernape: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2021-06-18 18:53:03 UTC
Created attachment 225912 [details]
patch to update port from 1.4.4 to 2.0.1
Comment 1 Guangyuan Yang freebsd_committer 2021-06-19 04:29:50 UTC
# $FreeBSD$ is deprecated, and please consider using git format-patch in the future, thanks!
Comment 2 Fernando Apesteguía freebsd_committer 2021-06-30 09:54:07 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]
Comment 3 Fernando Apesteguía freebsd_committer 2021-06-30 10:08:48 UTC
Also, there is some file called ",pkg-plist" which looks wrong.

Would you redo the patch, please?

Thanks!
Comment 4 J.R. Oldroyd 2021-06-30 11:34:39 UTC
Upstream tells me that 2.0.2 will be out very soon now, so I will replace this update with that one.
Comment 5 J.R. Oldroyd 2021-06-30 15:26:59 UTC
Created attachment 226133 [details]
patch to update port from 1.4.4 to 2.0.2
Comment 6 J.R. Oldroyd 2021-06-30 18:14:23 UTC
Created attachment 226139 [details]
patch to update port from 1.4.4 to 2.0.3

Upstream found a styling mismatch in 2.0.2 so he did a 2.0.3 already. He says he expects/hopes that this will be the last fix for the time being.
Comment 7 commit-hook freebsd_committer 2021-07-01 06:37:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6fe2b7a676a41daf66c695f671c448053619b121

commit 6fe2b7a676a41daf66c695f671c448053619b121
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-07-01 06:30:39 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-07-01 06:32:26 +0000

    x11-themes/classiclooks: update to 2.0.3

    ChangeLog: https://sourceforge.net/projects/classiclooks/

    PR:     256698
    Reported by:    fbsd@opal.com (maintainer)

 x11-themes/classiclooks/Makefile  |   2 +-
 x11-themes/classiclooks/distinfo  |   6 +-
 x11-themes/classiclooks/pkg-descr |   5 +-
 x11-themes/classiclooks/pkg-plist | 613 +++++++++++++++++---------------------
 4 files changed, 279 insertions(+), 347 deletions(-)
Comment 8 Fernando Apesteguía freebsd_committer 2021-07-01 06:40:11 UTC
Committed,

Thanks!